OpenNMS API 1.2.9

## org.opennms.protocols.snmp
Class SnmpSMI

    java.lang.Object
      org.opennms.protocols.snmp.SnmpSMI

public class SnmpSMI
extends java.lang.Object

SNMP SMI v1 & v2 constants.

Version:
  1.1.1.1
Author:
  Brian Weaver
See Also:
  `ASN1`

Field Summary
`static byte` `SMI_APPSTRING` An application string is a sequence of octets defined at the application level.
`static byte` `SMI_COUNTER32` A non-negative integer that may be incremented, but not decremented.
`static byte` `SMI_COUNTER64` Defines a 64-bit unsigned counter.
`static byte` `SMI_ENDOFMIBVIEW` The SNMPv2 error representing the End-Of-Mib-View.
`static byte` `SMI_GAUGE32` Represents a non-negative integer that may increase or decrease with a maximum value of 2^32-1.
`static byte` `SMI_INTEGER` Defines the positive and negative whole numbers, including zero.
`static byte` `SMI_IPADDRESS` An IP Address is an application string of length four and is indistinguishable from the SMI_APPSTRING value.
`static byte` `SMI_NOSUCHINSTANCE` The SNMPv2 error representing that there is No-Such-Instance for a particular object identifier.
`static byte` `SMI_NOSUCHOBJECT` The SNMPv2 error representing that there is No-Such-Object for a particular object identifier.
`static byte` `SMI_NULL` A Null value.
`static byte` `SMI_OBJECTID` A set of values associated with the information objects defined by the standard.
`static byte` `SMI_OPAQUE` Used to support the transport of arbitrary data.
`static byte` `SMI_STRING` A sequence of zero or more octets, where an octet is an 8-bit quantity.
`static byte` `SMI_TIMETICKS` This represents a non-negative integer that counts time, modulo 2^32.
`static byte` `SMI_UNSIGNED32` Used to represent the integers in the range of 0 to 2^32-1.
`static int` `SNMPV1` The value for a SNMP V1 protocol session
`static int` `SNMPV2` The value for a SNMP V2 protocol session.

Constructor Summary
`SnmpSMI()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SMI_INTEGER

    public static final byte SMI_INTEGER

  Defines the positive and negative whole numbers, including zero. The value is represented as a 32-bit signed integer.

  See Also:
    `ASN1.INTEGER`, Constant Field Values

### SMI_STRING

    public static final byte SMI_STRING

  A sequence of zero or more octets, where an octet is an 8-bit quantity.

  See Also:
    `ASN1.OCTETSTRING`, Constant Field Values

### SMI_OBJECTID

    public static final byte SMI_OBJECTID

  A set of values associated with the information objects defined by the standard.

  See Also:
    `ASN1.OBJECTID`, Constant Field Values

### SMI_NULL

    public static final byte SMI_NULL

  A Null value. Commonly used to where there are several alternatives but none of them apply.

  See Also:
    `ASN1.NULL`, Constant Field Values

### SMI_APPSTRING

    public static final byte SMI_APPSTRING

  An application string is a sequence of octets defined at the application level. Although the SMI does not define an Application String, it does define an IP Address which is an Application String of length four.

  See Also:
    Constant Field Values

### SMI_IPADDRESS

    public static final byte SMI_IPADDRESS

  An IP Address is an application string of length four and is indistinguishable from the SMI_APPSTRING value. The address is a 32-bit quantity stored in network byte order.

  See Also:
    Constant Field Values

### SMI_COUNTER32

    public static final byte SMI_COUNTER32

  A non-negative integer that may be incremented, but not decremented. The value is a 32-bit unsigned quantity representing the range of zero to 2^32-1 (4,294,967,295). When the counter reaches its maximum value it wraps back to zero and starts again.

  See Also:
    Constant Field Values

### SMI_GAUGE32

    public static final byte SMI_GAUGE32

  Represents a non-negative integer that may increase or decrease with a maximum value of 2^32-1. If the maximum value is reached the gauge stays latched until reset.

  See Also:
    Constant Field Values

### SMI_UNSIGNED32

    public static final byte SMI_UNSIGNED32

  Used to represent the integers in the range of 0 to 2^32-1. This type is identical to the SMI_COUNTER32 and are indistinguishable in ASN.1

  See Also:
    Constant Field Values

### SMI_TIMETICKS

    public static final byte SMI_TIMETICKS

  This represents a non-negative integer that counts time, modulo 2^32. The time is represented in hundredths (1/100th) of a second.

  See Also:
    Constant Field Values

### SMI_OPAQUE

    public static final byte SMI_OPAQUE

  Used to support the transport of arbitrary data. The data itself is encoded as an octet string, but may be in any format defined by ASN.1 or another standard.

  See Also:
    Constant Field Values

### SMI_COUNTER64

    public static final byte SMI_COUNTER64

  Defines a 64-bit unsigned counter. A counter is an integer that can be incremented, but cannot be decremented. A maximum value of 2^64 - 1 (18,446,744,073,709,551,615) can be represented. When the counter reaches it's maximum it wraps back to zero and starts again.

  See Also:
    Constant Field Values

### SMI_NOSUCHOBJECT

    public static final byte SMI_NOSUCHOBJECT

  The SNMPv2 error representing that there is No-Such-Object for a particular object identifier. This error is the result of a requested object identifier that does not exist in the agent's tables

  See Also:
    Constant Field Values

### SMI_NOSUCHINSTANCE

    public static final byte SMI_NOSUCHINSTANCE

  The SNMPv2 error representing that there is No-Such-Instance for a particular object identifier. This error is the result of a requested object identifier instance does not exist in the agent's tables.

  See Also:
    Constant Field Values

### SMI_ENDOFMIBVIEW

    public static final byte SMI_ENDOFMIBVIEW

  The SNMPv2 error representing the End-Of-Mib-View. This error variable will be returned by a SNMPv2 agent if the requested object identfier has reached the end of the agent's mib table and there is no lexicographic successor.

  See Also:
    Constant Field Values

### SNMPV1

    public static final int SNMPV1

  The value for a SNMP V1 protocol session

  See Also:
    Constant Field Values

### SNMPV2

    public static final int SNMPV2

  The value for a SNMP V2 protocol session.

  See Also:
    Constant Field Values

Constructor Detail

### SnmpSMI

    public SnmpSMI()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.